<template>
  <Layout>

    <div class="posts">
    <div class="weekview">
  <h3>{{ $page.week.title }}</h3>
  <div class="weekgrid">
  <div class="weeksection" v-for="edge in $page.week.belongsTo.edges">
    <PostCard  :key="edge.node.id" :post="edge.node"/>
  </div>
</div>
</div>
</div>



  </Layout>
</template>

<page-query>
query Week($id: ID!) {
  week(id: $id) {
    title
    belongsTo {
      edges {
        node {
          ... on Post {
            id
            title
            description
            week {
              title
              path
            }
            number
            path
          }
        }
      }
    }
  }
}
</page-query>

<script>
import Author from '~/components/Author.vue'
import PostCard from '~/components/PostCard.vue'
export default {
  components: {
    Author,
    PostCard
  },
  metaInfo: {
    title: 'Hello, world!'
  }
}
</script>

<style lang="scss">
</style>
